{% extends "base.html" %}
{% load static %}

{% block head %}
<link rel="stylesheet" type="text/css" href="{% static 'css/update_status.css' %}">
<link href="https://fonts.googleapis.com/css?family=Roboto:400,700" rel="stylesheet">
<link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
{% endblock %}

{% block title %}
Update Status
{% endblock %}

{% block content %}
<div class="root-container">
<div class="forms">
    <h1>{{ user.name }}'s posts</h1>
    <div class="row">
        <div class="col">
            {{ form.non_field_errors }}
            <form class="mt-4 mkokb-4" id="form" method="POST" action="{% url 'update-status:index' %}">
                {% csrf_token %}
                <div class="form-group">
                    <label for="{{ form.status.id_for_label }}">Update Status</label>
                    {{ form.status }}
                </div>
                <button type="submit" class="btn btn-primary float-right">Post</button>
            </form>
        </div>
    </div>
</div>

<div class="posts">
    {% for status in statuses %}
    <div class="post">
        <div class='post-header'>
            <img class='post-header-img' src="{{ user.imgurl }}">
            <div class='post-header-section'>
            <a class="post-header-name" href="{% url 'user-profile:index' %}">{{ user.name }}</a>
            <h6 class='post-header-timestamp'>{{ status.created_at|date:"j F Y \a\t H:i" }}</h6>
            </div>
        <i class="material-icons">close</i>
        </div>
        <div class='post-content'>
        {{ status.status }}
        </div>
        {% for comment in status.comments.all.reverse reversed %}
        <div class="post-comment">
            <div class="person-icon">
                <i class="material-icons">person</i>
            </div>
            <p class="post-comment-content">
                <b>Anonymous</b> {{comment.comment}}
            </p>
        </div>
        {% endfor %}
        <div class='post-comment'>
            <form method="POST" action="{% url 'update-status:add_comment' status.id %}">
                {% csrf_token %}
                <input class="post-comment-input-text" name="comment" type="text" placeholder="Write a comment...">
                <button type="submit" class="post-comment-input-submit">Post</button>
            </form>
        </div>
    </div>
    {% endfor %}
    <div style="height: 20px"></div>
</div>
</div>
{% endblock %}